
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Android开发】手指触控图片缩放功能 / iVAN</title>

    <meta name="description" content="【Android开发】手指触控图片缩放功能 这次记录的是实现Android图片两手触控缩放的功能. 编译环境:eclipse Android版本4.0 创建工程过程略 实现图片在页面两手触控缩放 原理图---图片缩放 两手拉开图片变大,两手合拢图片缩小,根据两手的移动距离来判断图片放大和缩小的倍数,两手的移动距离计算方法如下: 两手不管是正着还是斜着拉伸,用勾股定理都能计算出两点的距离.   除此之外,还要确定两个手位置的中心点,图片以这个中心点为参照进行放大和缩小: 计算两点之间的中心点的方法是,点1距原点位置X1(或者Y1)加上点2距">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【Android开发】手指触控图片缩放功能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这次记录的是实现Android图片两手触控缩放的功能。</p>
<p>编译环境：eclipse<br />
Android版本4.0<br />
创建工程过程略</p>
<p>实现图片在页面两手触控缩放</p>
<p>原理图---图片缩放</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDExMTQxNTA3NDc3OTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WVdOdGJXRnUvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg"></p>
<p>两手拉开图片变大，两手合拢图片缩小，根据两手的移动距离来判断图片放大和缩小的倍数，两手的移动距离计算方法如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDExMTQxNTA5NTI3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WVdOdGJXRnUvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg"></p>
<p>两手不管是正着还是斜着拉伸，用勾股定理都能计算出两点的距离。</p>
<p> </p>
<p>除此之外，还要确定两个手位置的中心点，图片以这个中心点为参照进行放大和缩小：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDExMTQxNTExMzY5OTM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WVdOdGJXRnUvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg"></p>
<p>计算两点之间的中心点的方法是，点1距原点位置X1(或者Y1)加上点2距原点位置X2(或者Y2)，和除以2即可：</p>
<p>X0=（X1+X2）/2; Y0=(Y1+Y2)/2;</p>
<p> </p>
<p>实现图片在页面内的触控缩放(还有拖拉功能，是以前写的)</p>
<p>main.xml:</p>
<pre>&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    tools:context="com.example.dragscale.MainActivity" &gt;

    &lt;!--scaleType="matrix"采用矩阵来实现图片的拖拉和放大--&gt;
    &lt;ImageView
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:src="@drawable/keep"
        android:scaleType="matrix"
        android:id="@+id/image"/&gt;

&lt;/LinearLayout&gt;
</pre>
<p> </p>
<p>MainActivity.java:</p>
<pre>package com.example.dragscale;

import android.app.Activity;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.os.Bundle;
import android.util.FloatMath;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.ImageView;

public class MainActivity extends Activity {
 private ImageView imageView;
 protected void onCreate(Bundle savedInstanceState) {
  super.onCreate(savedInstanceState);
  setContentView(R.layout.activity_main);

  imageView=(ImageView)this.findViewById(R.id.image);
       //添加触摸监听对象(控件被触摸就会触发TouchListener类)
  imageView.setOnTouchListener(new TouchListener());
 }

 private final class TouchListener implements OnTouchListener{
  private PointF startPoint= new PointF();//PointF(浮点对)
  private Matrix matrix=new Matrix();//矩阵对象
  private Matrix currentMatrix=new Matrix();//存放照片当前的矩阵
  private int mode=0;//确定是放大还是缩小
  private static final int DRAG=1;//拖拉模式
  private static final int ZOOM=2;//缩放模式
  private float startDis;//开始距离
  private PointF midPoint;//中心点

  //参数1:用户触摸的控件；参数2:用户触摸所产生的事件
  public boolean onTouch(View v, MotionEvent event) {
   //判断事件的类型
   //得到低八位才能获取动作，所以要屏蔽高八位(通过与运算&amp;255)
   //ACTION_MASK就是一个常量，代表255
   switch (event.getAction()&amp;MotionEvent.ACTION_MASK) {
   case MotionEvent.ACTION_DOWN://手指下压
    mode=DRAG;
    currentMatrix.set(imageView.getImageMatrix());//记录ImageView当前的移动位置
    startPoint.set(event.getX(), event.getY());
    break;
   case MotionEvent.ACTION_MOVE://手指在屏幕移动，改事件会不断被调用
    if(mode==DRAG){//拖拉模式
     float dx=event.getX()-startPoint.x;//得到在x轴的移动距离
     float dy=event.getY()-startPoint.y;//得到在y轴的移动距离
     matrix.set(currentMatrix);//在没有进行移动之前的位置基础上进行移动
     //实现位置的移动
     matrix.postTranslate(dx, dy);
    }else if(mode==ZOOM){//缩放模式
      float endDis=distance(event);//结束距离
      if(endDis&gt;10f){//防止不规则手指触碰
       //结束距离除以开始距离得到缩放倍数
       float scale=endDis/startDis;
       //通过矩阵实现缩放
       //参数：1.2.指定在xy轴的放大倍数;3,4以哪个参考点进行缩放
       //开始的参考点以两个触摸点的中心为准
       matrix.set(currentMatrix);//在没有进行缩放之前的基础上进行缩放
       matrix.postScale(scale,scale,midPoint.x,midPoint.y);
      }

    }

    break;
   case MotionEvent.ACTION_UP://手指离开屏幕
   case MotionEvent.ACTION_POINTER_UP://当屏幕上已经有手指离开屏幕，屏幕上还有一个手指，就会触发这个事件
    mode=0;
    break;
   case MotionEvent.ACTION_POINTER_DOWN://当屏幕上已经有触点(手指)，再有一个手指按下屏幕，就会触发这个事件
    mode=ZOOM;
    startDis=distance(event);
    if(startDis&gt;10f){//防止不规则手指触碰
     midPoint=mid(event);
     currentMatrix.set(imageView.getImageMatrix());//记录ImageView当前的缩放倍数
    }
    break;

   default:
    break;
   }
   //将imageView的矩阵位置改变
   imageView.setImageMatrix(matrix);
   return true;
  }

 }
  //计算两点之间的距离(勾股定理)
  public float distance(MotionEvent event) {
   float dx=event.getX(1)-event.getX(0);
   float dy=event.getY(1)-event.getY(0);
   return FloatMath.sqrt(dx*dx+dy*dy);
  }

  //计算两个点的中心点
  public static PointF mid(MotionEvent event){
   float midx=(event.getX(1)+event.getX(0))/2;
   float midy=(event.getY(1)+event.getY(0))/2;
   return new PointF(midx,midy);
  }
}
</pre>
<p> </p>
<p>转载请注明出处！程序猿之洞：<a href="http://blog.csdn.net/acmman" rel="external nofollow noreferrer">http://blog.csdn.net/acmman</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 23:17:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【Android开发】手指触控图片缩放功能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baloWqz.html" rel="bookmark">Windows 8&period;1应用开发之触控操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与WPF相同Windows 8.1应用中也具有高级触控操作(Manipulation),其中包含了三种常见的触屏手势:平移.缩放.旋转,通过以下四种事件可为控件实现各种触控操作:ManipulationStarting.ManipulationStarted.ManipulationDelta.ManipulationInertiaStarting.ManipulationCompleted. 开发之触控操作-windows应用程序开发&quot;&gt; 打开Visual Studio 2013 Pre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNdOVp.html" rel="bookmark">分享Android开发自学笔记之AndroidStudio常用功能&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相关下载: Android Studio v1.3 官方最新版(apk应用开发工具) http://www.jb51.net/softs/83206.html Android Studio 官方最新版下载地址(支持国内下载)http://www.jb51.net/softjc/83204.html 一.界面区介绍 1.项目组织结构区,用于浏览项目文件,默认Project以Android组织方式展示. 2.设计区,默认在打开布局文件时为设计模式,可直接拖动控件到界面上实现所见即所得,下方的Desi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkR0oM.html" rel="bookmark">Android开发之基本控件和四种布局方式详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android中的控件的使用方式和iOS中控件的使用方式基本相同,都是事件驱动.给控件添加事件也有接口回调和委托代理的方式.今天这篇博客就总结一下Android中常用的基本控件以及布局方式.说到布局方式Android和iOS还是区别挺大的,在iOS中有Frame绝对布局和AutoLayout相对布局.而在Android中的布局方式就比较丰富了,今天博客中会介绍四种常用的布局方式.先总结一下控件,然后再搞一搞基本方式,开发环境还是用的Mac下的Android Studio.开始今天的正题, 虽然A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYGYBb.html" rel="bookmark">android开发实现列表控件滚动位置精确保存和恢复的方法&lpar;推荐&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开发经常要对列表的滚动位置进行保存和恢复,网上也有很多关于此功能的方法文章,但绝大多数都只能保存恢复到某一行,对于滚动到半行的情况不能精确的恢复.也有很多文章介绍了好几种方法,也说某些方法能够精确的控制,但实际上根本不能实现.还有些介绍了很多玄乎且非常复杂的方法,但也没看到能完整实现的代码. 经过一段时间的研究测试,下面的代码可以完美的实现列表滚动位置的精确保存和恢复,而且只是在原来记忆到行位置的基础上增加了2行代码而已. 具体见下面代码和注释: //保存位置: int posit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvE84Nb.html" rel="bookmark">Android开发之基本控件和四种布局方式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android中的控件的使用方式和iOS中控件的使用方式基本相同,都是事件驱动.给控件添加事件也有接口回调和委托代理的方式.今天这篇博客就总结一下Android中常用的基本控件以及布局方式.说到布局方式Android和iOS还是区别挺大的,在iOS中有Frame绝对布局和AutoLayout相对布局.而在Android中的布局方式就比较丰富了,今天博客中会介绍四种常用的布局方式.先总结一下控件,然后再搞一搞基本方式,开发环境还是用的Mac下的Android Studio.开始今天的正题, 虽然A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkJR0OM.html" rel="bookmark">Android开发实现Files文件读取解析功能示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发实现Files文件读取解析功能.分享给大家供大家参考,具体如下: package com.example.file; import android.support.v7.app.AppCompatActivity; import android.os.Bundle; import android.util.Log; import android.view.View; import android.widget.Button; import android.widg			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5636nz.html" rel="bookmark">Android开发之文本内容自动朗读功能实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之文本内容自动朗读功能实现方法.分享给大家供大家参考,具体如下: Android提供了自动朗读支持.自动朗读支持可以对指定文本内容进行朗读,从而发生声音:不仅如此,Android的自动朗读支持还允许把文本对应的音频录制成音频文件,方便以后播放.这种自动朗读支持的英文名称为TextToSpeech,简称TTS. 借助于TTS的支持,可以在应用程序中动态地增加音频输出,从而改善用户体验. Android的自动朗读支持主要通过TextTospeech来完成,该累提供了如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXjndlb.html" rel="bookmark">Android开发中include控件用法分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发中include控件用法.分享给大家供大家参考,具体如下: 我们知道,基于Android系统的应用程序的开发,界面设计是非常重要的,它关系着用户体验的好坏.一个好的界面设计,不是用一个xml布局就可以搞定的.当一个activity中的控件非常多的时候,所有的布局文件都放在一个xml文件中,很容易想象那是多么糟糕的事情!笔者通过自身的经历,用include控件来解决这个问题,下面是一个小例子,仅仅实现的是布局,没有响应代码的设计. user.xml文件内容如下: &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE653ZM.html" rel="bookmark">android开发中listview添加图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android开发中listview添加图片 map1.put(&quot;image&quot;,R.drawable.jiantou); 我在listview中添加图像时,引用图像的地址,如上所示,但提示错误The method put(String, String) in the type HashMap is not applicable for the arguments (String, int) 但我看别人的代码都可以直接引用图像地址的,请大神帮忙解决一下,谢啦!! 解决方案 Ma			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw5J8M.html" rel="bookmark" class="title">PPT图片切换效果研究PPT图片切换效果研究</a>
					<div>
						有很多朋友都会问PPT里有大量的图片,那么如何才更好的去展示呢?我个人觉得方法有很多,而且要分清楚你的PPT所要应用的场合,那么今天借用&lt;PPT图片切换效果研究&gt;一文来讲解一下PPT图片切 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN88Pz.html" rel="bookmark" class="title">高性能ASP&period;NET站点构建之开篇</a>
					<div>
						高性能ASP.NET站点构建系列文章目录					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRVKqM.html" rel="bookmark" class="title">在ASP&period;NET中使用Microsoft Word文档</a>
					<div>
						asp.net|microsoft|word 本文是应在ASP.NET里创建Microsoft Word文档之需而写的.这篇文章演示了在ASP.NET里怎么创建和修改Microsoft Word文档. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw6Lkp.html" rel="bookmark" class="title">由struct的静态构造函数说起</a>
					<div>
						最近才知道struct和class的静态构造函数的触发规则是不同的,不像class在第一次使用类的时候触 发静态构造函数.如果只访问struct实例的字段是不会触发静态构造函数调用的.通过测试发现当访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E43gM.html" rel="bookmark" class="title">用PS制作数字碎片效果</a>
					<div>
						  1.第一步:(准备工作) 找好素材图片. 2.设置笔刷(当然,你可以网上自己下载类似的) 按快捷键B选择画笔形状-带阴影的画笔-投影方形–35像素(Photoshop自带此类画笔)   分类: P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG3dab.html" rel="bookmark" class="title">win7没有声音怎么办声卡驱动也显示不全的解决方法</a>
					<div>
						在安装玩win7系统之后,有不少朋友会遇到没有声音的问题,任务栏右下角的扬声器图标正常,点击使用也正常,但是就是没有声音.其实这种问题很好解决,下面创e网小编格子就和大家分享一下解决办法. 1.首先检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP84jrp.html" rel="bookmark" class="title">网易波波助手怎么用？</a>
					<div>
						  如何使用波波助手 网易波波主播申请通过后,重新设置的直播助手密码,建议与登陆密码不同; 打开波波助手,选择直播摄像头及麦克风 ,设置好后,点击开始直播,预览直播画面; 此时,点击进入直播间,选择网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8d8lp.html" rel="bookmark" class="title">电脑电池图标有一个红色的叉，提示：请考虑更换电池该怎么办？</a>
					<div>
						  最近,有网友询问:电脑的电池图标上有一个红色的叉,点击该电池图标的时候,会显示:请考虑更换电池.不过,电脑电池的一体化的,这该怎么办呢?小编给的官方建议是带上机器去找售后,如果您不想去售后,也可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVAR5b.html" rel="bookmark" class="title">网上祭奠省资源</a>
					<div>
						&quot;网上祭奠节约了许多资源.&quot;昨日,在网上祭奠母亲的市民刘先生说,去年,他驾车到陵园祭奠,结果在路上堵了三个多小时,到墓地时已是中午12点.他都没有心情和逝去的妈妈说什么了,60元的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamOrNb.html" rel="bookmark" class="title">hp380 sqlserver2008写入速度不及普通台式机</a>
					<div>
						问题描述 hp380 sqlserver2008写入速度不及普通台式机 hp380 磁盘阵列缓冲读写各设置成50% 在sqlserver2008上面随便创建一个表 插入1万条数据用时5秒,而普通台式机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEq46z.html" rel="bookmark" class="title">springmvc &amp;amp&semi;amp&semi;lt&semi;mvc&colon;annotation-driven&sol;&amp;amp&semi;amp&semi;gt&semi;配置问题</a>
					<div>
						问题描述 springmvc &lt;mvc:annotation-driven/&gt;配置问题 Configuration problem: Unable to locate Spring Nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ34qp.html" rel="bookmark" class="title">浅谈大数据分析师</a>
					<div>
						在大数据崛起的时代,数据分析师这个职业将会越来越受到大家的青睐.数据分析师的职业现状和发展如何?数据分析师有哪些专业要求?在工作中到底需要做什么?这些都是想走进数据分析这个行业的童鞋们的疑问,数据观小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWlXWz.html" rel="bookmark" class="title">sql-如何对具体的每条数据查询其行为发生时间前一周，该用户的行为数目？</a>
					<div>
						问题描述 如何对具体的每条数据查询其行为发生时间前一周,该用户的行为数目? 数据中有用户和time字段,如何对具体的每条数据查询其行为发生时间前一周,该用户的行为数目?求助啊!!!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYOD0p.html" rel="bookmark" class="title">从自己的&OpenCurlyDoubleQuote;圈子&rdquo;开始创业</a>
					<div>
						一个想创业的人都非常想了解成功人士的成功经验,眼看着一个个成功商人的光辉人生的不断 曝光,每一位正在学习和打工的热血青年无不深深被打动.于是一波又一波的人离开了稳定的收入,投入了创业的艰辛历程,可是创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRPkkp.html" rel="bookmark" class="title">PostgreSQL on XFS vs EXT4 性能</a>
					<div>
						内核版本 3.18.24 系统内存256G. 测试使用了3块PCI-E SSD. # pvcreate /dev/dfa # pvcreate /dev/dfb # pvcreate /dev/dfc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Wlqp.html" rel="bookmark" class="title">两年一次的世界上最强力的超级计算机排名</a>
					<div>
						中国仍然占据着榜首.中国国防科技大学的&quot;天河二号&quot;超级计算机的每秒33.86千万亿次的浮点计算能力,几乎是排名第二位的美国橡树岭国家实验室的Titan Cray超级计算机的两倍.根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy69Nz.html" rel="bookmark" class="title">存储黑科技&mdash;&mdash;高密度光存储容量比DVD高百万倍</a>
					<div>
						 由于衍射极限的限制,使得光储存途径一直无法实现较高的数据储存密度.如今,科学家发现一种光电现象的可能性,该存储技术容量比DVD更高百万倍. 来自伦敦帝国理工学院(London's Imperial  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7jvkz.html" rel="bookmark" class="title">多平台支持：下一步容器技术热点</a>
					<div>
						Linux容器技术最近几年发展迅速,从最初的互联网公司的实验技术发展成为分布式应用事实上的标准.Docker资深副总裁Marianna Tessel说,这项技术可以支持多容器,多主机应用,并且从lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeolK8M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;我吃西红柿&rdquo;现已完结连载的西方玄幻类小说《盘龙》</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/1823.html&quot;&gt;起点中文网白金作者&quot;我吃西红柿&quot;现已完结连载的西方玄幻类小说& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0JkOM.html" rel="bookmark" class="title">苹果CEO库克放弃7500万美元股息</a>
					<div>
						DoNews 5月24日消息(向密 编译)IT头条,采集全球主要科技媒体,以为读者带来更广阔的视野为方向.IE9称Yahoo Axis将使启动时间延长 周三,雅虎对外宣布,推出自由浏览器Yahoo A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GlJop.html" rel="bookmark" class="title">关于视频监控信号的干扰问题的讲解</a>
					<div>
						今天小编带大家熟悉一下视频监控的信号干扰问题,视频信号的干扰在图像上表现为地花点和50Hz横纹滚动,对于雪花点干扰是由于传输线上信号衰减以及耦合了高频干扰所致,这种干扰比较容易消除,在摄像机与控制矩阵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YoDWp.html" rel="bookmark" class="title">网站如何留住用户减少跳出</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站如何留住用户减少跳出,提高转化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YRxAp.html" rel="bookmark" class="title">给大家给好的技术群 这个群目前在整顿所以现在可以加人了</a>
					<div>
						问题描述 群号14615476群里高手很多袄!~ 解决方案 解决方案二:该回复于2009-08-19 16:40:27被版主删除					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NjP3p.html" rel="bookmark" class="title">国内类Pinterest如雨后春笋，怎样切入交易成关键</a>
					<div>
						在2012年的5月18日,Instagram十亿美元的创富故事让无数创业者感到激动不已,在那时的大洋彼岸,Pinterest风头正劲,已经获得了新一轮1亿美元融资,而且极可能成下一个Instagram ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmR3Op.html" rel="bookmark" class="title">网络赚钱的11个尚未公开的点子</a>
					<div>
						伟大的点子使网络发生改变,这已经不是密秘了.社区网站和网络应用迅速的变得越来越炙手可热.年轻的企业家通过联系人和简单的点子赚了很多钱.您有兴趣成为其中一员吗? 梦想很简单:通过周密的计划和一些空闲的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqKZNb.html" rel="bookmark" class="title">《Cisco IOS XR技术精要》一4&period;6　硬件及软件操作的配置管理</a>
					<div>
						4.6 硬件及软件操作的配置管理 Cisco IOS XR技术精要本节介绍在不同的硬件及软件操作中IOS XR配置管理所扮演的角色.这些操作包括: 热插拔(OIR):PIE的激活与卸载:预配置:路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YdNob.html" rel="bookmark" class="title">路灯生产厂家跟随智慧城市脚步推进LED发展</a>
					<div>
						 随着科学技术的的发展,科学家们研制出高效节能LED光源,大大提高光源的性能. 路灯生产厂家分析高效节能的效果:由于传统的照明灯的光效非常低,照明灯的耗电量也很巨大,并且在照明光线中有大量的紫外线等辐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdmrjp.html" rel="bookmark" class="title">高可用数据容灾 同有科技助力河北省人民检察院数据中心升级</a>
					<div>
						随着我国政府职能向数字化.服务化转型,越来越多的应用.业务.数据被集中处理,数据中心需要更完备的安全保障.河北省人民检察院在其数据中心改造项目中,选择了北京同有飞骥科技股份有限公司(以下简称&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YRDJb.html" rel="bookmark" class="title">三大OTA&OpenCurlyDoubleQuote;预订返现&rdquo;</a>
					<div>
						冲击到经济型酒店官网的销售 本报讯 (记者何颖思)在线旅游市场时不时就爆出价格战.今年7月,&quot;预订返现&quot;的价格战硝烟再起,艺龙.携程.芒果网三大OTA(在线旅游预订商)悉数卷入.此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqWDNb.html" rel="bookmark" class="title">周鸿祎否认360计划推出即时通讯软件</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯 11月2日凌晨消息,针 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
